public class PoliciesApi extends Object
| Constructor and Description |
|---|
PoliciesApi() |
PoliciesApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
ApiClient |
getApiClient() |
LoadedPolicy |
loadPolicy(String account,
String identifier,
String body)
Adds data to the existing Conjur policy.
|
LoadedPolicy |
loadPolicy(String account,
String identifier,
String body,
String xRequestId)
Adds data to the existing Conjur policy.
|
okhttp3.Call |
loadPolicyAsync(String account,
String identifier,
String body,
String xRequestId,
ApiCallback<LoadedPolicy> _callback)
Adds data to the existing Conjur policy.
|
okhttp3.Call |
loadPolicyCall(String account,
String identifier,
String body,
String xRequestId,
ApiCallback _callback)
Build call for loadPolicy
|
ApiResponse<LoadedPolicy> |
loadPolicyWithHttpInfo(String account,
String identifier,
String body)
Adds data to the existing Conjur policy.
|
ApiResponse<LoadedPolicy> |
loadPolicyWithHttpInfo(String account,
String identifier,
String body,
String xRequestId)
Adds data to the existing Conjur policy.
|
LoadedPolicy |
replacePolicy(String account,
String identifier,
String body)
Loads or replaces a Conjur policy document.
|
LoadedPolicy |
replacePolicy(String account,
String identifier,
String body,
String xRequestId)
Loads or replaces a Conjur policy document.
|
okhttp3.Call |
replacePolicyAsync(String account,
String identifier,
String body,
String xRequestId,
ApiCallback<LoadedPolicy> _callback)
Loads or replaces a Conjur policy document.
|
okhttp3.Call |
replacePolicyCall(String account,
String identifier,
String body,
String xRequestId,
ApiCallback _callback)
Build call for replacePolicy
|
ApiResponse<LoadedPolicy> |
replacePolicyWithHttpInfo(String account,
String identifier,
String body)
Loads or replaces a Conjur policy document.
|
ApiResponse<LoadedPolicy> |
replacePolicyWithHttpInfo(String account,
String identifier,
String body,
String xRequestId)
Loads or replaces a Conjur policy document.
|
void |
setApiClient(ApiClient apiClient) |
LoadedPolicy |
updatePolicy(String account,
String identifier,
String body)
Modifies an existing Conjur policy.
|
LoadedPolicy |
updatePolicy(String account,
String identifier,
String body,
String xRequestId)
Modifies an existing Conjur policy.
|
okhttp3.Call |
updatePolicyAsync(String account,
String identifier,
String body,
String xRequestId,
ApiCallback<LoadedPolicy> _callback)
Modifies an existing Conjur policy.
|
okhttp3.Call |
updatePolicyCall(String account,
String identifier,
String body,
String xRequestId,
ApiCallback _callback)
Build call for updatePolicy
|
ApiResponse<LoadedPolicy> |
updatePolicyWithHttpInfo(String account,
String identifier,
String body)
Modifies an existing Conjur policy.
|
ApiResponse<LoadedPolicy> |
updatePolicyWithHttpInfo(String account,
String identifier,
String body,
String xRequestId)
Modifies an existing Conjur policy.
|
public PoliciesApi()
public PoliciesApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public okhttp3.Call loadPolicyCall(String account, String identifier, String body, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)identifier - ID of the policy to update (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public LoadedPolicy loadPolicy(String account, String identifier, String body, String xRequestId) throws ApiException
account - Organization account name (required)identifier - ID of the policy to update (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public LoadedPolicy loadPolicy(String account, String identifier, String body) throws ApiException
account - Organization account nameidentifier - ID of the policy to updatebody - PolicyApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<LoadedPolicy> loadPolicyWithHttpInfo(String account, String identifier, String body, String xRequestId) throws ApiException
account - Organization account name (required)identifier - ID of the policy to update (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<LoadedPolicy> loadPolicyWithHttpInfo(String account, String identifier, String body) throws ApiException
account - Organization account nameidentifier - ID of the policy to updatebody - PolicyApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call loadPolicyAsync(String account, String identifier, String body, String xRequestId, ApiCallback<LoadedPolicy> _callback) throws ApiException
account - Organization account name (required)identifier - ID of the policy to update (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call replacePolicyCall(String account, String identifier, String body, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)identifier - ID of the policy to load (root if no root policy has been loaded yet) (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public LoadedPolicy replacePolicy(String account, String identifier, String body, String xRequestId) throws ApiException
account - Organization account name (required)identifier - ID of the policy to load (root if no root policy has been loaded yet) (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public LoadedPolicy replacePolicy(String account, String identifier, String body) throws ApiException
account - Organization account nameidentifier - ID of the policy to load (root if no root policy has been loaded yet)body - PolicyApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<LoadedPolicy> replacePolicyWithHttpInfo(String account, String identifier, String body, String xRequestId) throws ApiException
account - Organization account name (required)identifier - ID of the policy to load (root if no root policy has been loaded yet) (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<LoadedPolicy> replacePolicyWithHttpInfo(String account, String identifier, String body) throws ApiException
account - Organization account nameidentifier - ID of the policy to load (root if no root policy has been loaded yet)body - PolicyApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call replacePolicyAsync(String account, String identifier, String body, String xRequestId, ApiCallback<LoadedPolicy> _callback) throws ApiException
account - Organization account name (required)identifier - ID of the policy to load (root if no root policy has been loaded yet) (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call updatePolicyCall(String account, String identifier, String body, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)identifier - ID of the policy to update (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public LoadedPolicy updatePolicy(String account, String identifier, String body, String xRequestId) throws ApiException
account - Organization account name (required)identifier - ID of the policy to update (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public LoadedPolicy updatePolicy(String account, String identifier, String body) throws ApiException
account - Organization account nameidentifier - ID of the policy to updatebody - PolicyApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<LoadedPolicy> updatePolicyWithHttpInfo(String account, String identifier, String body, String xRequestId) throws ApiException
account - Organization account name (required)identifier - ID of the policy to update (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public ApiResponse<LoadedPolicy> updatePolicyWithHttpInfo(String account, String identifier, String body) throws ApiException
account - Organization account nameidentifier - ID of the policy to updatebody - PolicyApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
public okhttp3.Call updatePolicyAsync(String account, String identifier, String body, String xRequestId, ApiCallback<LoadedPolicy> _callback) throws ApiException
account - Organization account name (required)identifier - ID of the policy to update (required)body - Policy (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 201 | Decsribes new data created by a successful policy load | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 403 | The authenticated user lacks the necessary privileges | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 409 | Similar operation already in progress, retry after a delay | - |
| 422 | A request parameter was either missing or invalid. | - |
Copyright © 2023. All rights reserved.